Package com.io7m.cedarbridge.errors

# Record Class CBError

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.errors.CBError

Record Components:
  `lexical` - The lexical information
  `severity` - The error severity
  `exception` - The exception associated with the error
  `errorCode` - The error code
  `message` - The error message

public record CBError(com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBError.Severity severity, Exception exception, String errorCode, String message) extends Record

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CBError.Severity`
  The error severity.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBError(com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBError.Severity severity, Exception exception, String errorCode, String message)`
  Creates an instance of a `CBError` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Exception`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `CBError.Severity`
  `severity()`
  Returns the value of the `severity` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBError

    public CBError(com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBError.Severity severity, Exception exception, String errorCode, String message)
    Creates an instance of a `CBError` record class.
    Parameters:
      `lexical` - the value for the `lexical` record component
      `severity` - the value for the `severity` record component
      `exception` - the value for the `exception` record component
      `errorCode` - the value for the `errorCode` record component
      `message` - the value for the `message` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Returns:
      the value of the `lexical` record component

  - ### severity

    public CBError.Severity severity()
    Returns the value of the `severity` record component.
    Returns:
      the value of the `severity` record component

  - ### exception

    public Exception exception()
    Returns the value of the `exception` record component.
    Returns:
      the value of the `exception` record component

  - ### errorCode

    public String errorCode()
    Returns the value of the `errorCode` record component.
    Returns:
      the value of the `errorCode` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component